import logging
from flask import Blueprint
from flask_restful import Api, Resource

from portal.tools.decorators import error_handler

management_blueprint = Blueprint('status', __name__)
management_api = Api(management_blueprint)
log = logging.getLogger(__name__)


class StatusReport(Resource):
    @error_handler
    def get(self):
        status_dict = dict(
            status="works"
            )
        return status_dict


management_api.add_resource(StatusReport, '/status')
